Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Pagefile_Memory_Pool::Control_Block::Shared_Control_Block Class Reference

Pool statistics. More...

`#include <Pagefile_Memory_Pool.h>`

List of all members.

## Public Attributes
size_t | max_size_
| Maximum size the pool may grow.
size_t | mapped_size_
| Size of mapped shared memory segment.
ptrdiff_t | free_offset_
| Offset to mapped but not yet acquired address space.
size_t | free_size_
| Size of mapped but not yet acquired address space.

## Detailed Description

Pool statistics.

## Member Data Documentation

ptrdiff_t ACE_Pagefile_Memory_Pool::Control_Block::Shared_Control_Block::free_offset_

| Offset to mapped but not yet acquired address space.

size_t ACE_Pagefile_Memory_Pool::Control_Block::Shared_Control_Block::free_size_

| Size of mapped but not yet acquired address space.

size_t ACE_Pagefile_Memory_Pool::Control_Block::Shared_Control_Block::mapped_size_

| Size of mapped shared memory segment.

size_t ACE_Pagefile_Memory_Pool::Control_Block::Shared_Control_Block::max_size_

| Maximum size the pool may grow.

The documentation for this class was generated from the following file:

- Pagefile_Memory_Pool.h